Send Refund
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/order/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "MYBESTDEALCOMDE",
"refundId": "<string>",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"reason": "NO_REASON",
"refund": "19.90",
"refundCurrency": "EUR"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/order/refund"
payload = {
"channel": "MYBESTDEALCOMDE",
"refundId": "<string>",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"reason": "NO_REASON",
"refund": "19.90",
"refundCurrency": "EUR"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'MYBESTDEALCOMDE',
refundId: '<string>',
sellerId: '4711',
orderId: '43523-43432-43532',
orderItem: [
{
orderItemId: '5437233',
quantity: '1.0',
reason: 'NO_REASON',
refund: '19.90',
refundCurrency: 'EUR'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/order/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Send Refund
Send a refund for a list of Order Items to Channel
POST
/
v1
/
seller
/
order
/
refund
Send Refund
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
Refund payment to be issued to the customer for a marketplace order.
Refund payment the seller wants to issue to the customer for a marketplace order, scoped to a channel.
This is the unique Channel name.
Pattern:
^\w{5,15}$Example:
"MYBESTDEALCOMDE"
Seller created unique Id to identify the processing Result of a Refund processing from a Channel.
Required string length:
1 - 128A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
Pattern:
^\w{1,50}$Example:
"4711"
Required string length:
1 - 150Example:
"43523-43432-43532"
Minimum array length:
1Show child attributes
Show child attributes
Response
Refund send to Channel
Was this page helpful?
⌘I